import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'AddLocation.dart';

class EAnalyzerDash extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backwardsCompatibility: false,
        systemOverlayStyle: SystemUiOverlayStyle(statusBarColor: Colors.blue.shade900),
        title: Text("EAnalyzer DashBoard"),
      ),
      body: Stack(
      children: <Widget>[
        Container(
            decoration: BoxDecoration(
                image: DecorationImage(
                    alignment: Alignment.topCenter,
                    image: AssetImage('lib/assets/images/green.jpg'),
                    ))),
        SafeArea(
          child: Padding(
            padding: EdgeInsets.all(16.0),
            child: Column(
              children: <Widget>[
                Container(
                  height: 64,
                  margin: EdgeInsets.only(bottom: 20),
                  child: Row(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: <Widget>[
                      CircleAvatar(
                        radius: 32,
                        backgroundColor: Colors.transparent,
                        backgroundImage: AssetImage('lib/assets/images/eana.png'),
                      ),
                      SizedBox(
                        width: 16,
                      ),
                      Column(
                        mainAxisAlignment: MainAxisAlignment.center,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: <Widget>[
                          Text('EAnalyzer', style: TextStyle(fontSize: 35.0, color: Colors.white)),
                        ],
                      )
                    ],
                  ),
                ),
                Expanded(
                  child: GridView.count(
                    mainAxisSpacing: 10,
                    crossAxisSpacing: 10,
                    primary: false,
                    crossAxisCount: 2,
                    children: <Widget>[
                      Card(
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(8)),
                          elevation: 4,
                          child: Column(
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: <Widget>[
                              FlatButton(
                                onPressed: () {
                                  Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => AddLocation()),
                                );
                                },
                                child: Image.asset('lib/assets/images/add80.png'),
                              ),
                              Text('Add', style: TextStyle(fontSize: 20.0)),
                            ],
                          )
                      ),
                      Card(
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(8)),
                          elevation: 4,
                          child: Column(
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: <Widget>[
                              FlatButton(
                                onPressed: () {
                                  Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                );
                                },
                                child: Image.asset('lib/assets/images/feedback80.png'),
                              ),
                              Text('FeedBack', style: TextStyle(fontSize: 20.0))
                            ],
                          )
                      ),
                      Card(
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(8)),
                          elevation: 4,
                          child: Column(
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: <Widget>[
                              FlatButton(
                                onPressed: () {
                                  Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                );
                                },
                                child: Image.asset('lib/assets/images/list80.png'),
                              ),
                              Text('Risk Event List', style: TextStyle(fontSize: 20.0))
                            ],
                          )
                      ),
                      Card(
                          shape: RoundedRectangleBorder(
                              borderRadius: BorderRadius.circular(8)),
                          elevation: 4,
                          child: Column(
                            mainAxisAlignment: MainAxisAlignment.center,
                            children: <Widget>[
                              FlatButton(
                                onPressed: () {
                                  Navigator.push(
                                  context,
                                  MaterialPageRoute(builder: (context) => EAnalyzerDash()),
                                );
                                },
                                child: Image.asset('lib/assets/images/search80.png'),
                              ),
                              Text('Search an Event', style: TextStyle(fontSize: 20.0))
                            ],
                          )
                      ),
                    ],
                  ),
                )
              ],
            ),
          ),
        )
      ],
      ),
    );
  }
}